
User Interface - Bug #2689

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

multiple items with same mnemonic

09/08/2015 04:08 AM - Constantin Asofiei

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Feature #1790: implement menu support Closed

History

#1 - 09/08/2015 04:09 AM - Constantin Asofiei

From #1790 note 570:

And the last found peculiarity is about mnemonic behavior when a menu or sub-menu contains several items with the same mnemonic. When

you press that mnemonic CHUI will press the first found item with that mnemonic, but GUI will only highlight the first founded mnemonic (not

press it and not call its trigger). If you'll press mnemonic again GUI will highlight the next found item.

 

What happens if there are two sub-menus with the same mnemonics? Do they get expanded?

#2 - 09/08/2015 04:10 AM - Constantin Asofiei

Previous entry was edited.

#3 - 03/23/2016 05:14 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

- Parent task set to #2677

#4 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
